Skip to main content
`Ctrl`+`K`

# DMPlexGetFullMeet

Get an array for the meet of the set of points

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetFullMeet(DM dm, PetscInt numPoints, const PetscInt points[], PetscInt *numCoveredPoints, const PetscInt *coveredPoints[])

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- numPoints - The number of input points for the meet

- points - The input points, of length `numPoints`

## Output Parameters

- numCoveredPoints - The number of points in the meet

- coveredPoints - The points in the meet, of length `numCoveredPoints`

## Fortran Notes

`points` and `coveredPoints` must be declared with

      PetscInt, pointer :: points(:)
      PetscInt, pointer :: coveredPoints(:)

The `numCoveredPoints` argument is not present in the Fortran binding since it is internal to the array.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetMeet()`, `DMPlexRestoreMeet()`, `DMPlexGetJoin()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages